<?php


namespace App\Console\Commands;

use App\Models\Portal;
use App\Models\PortalUrl;
use Illuminate\Console\Command;
use Illuminate\Database\Eloquent\Collection;

class CountPortalReliability extends Command
{
    /**
     * The console command name.
     *
     * @var string
     */
    protected $signature = "count:portal";

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = "Count portals reliability";


    public function handle()
    {
        $this->info("Start counting");
        /** @var Collection $allPortals */
        $allPortals = Portal::all();
        /** @var Portal $portal */
        foreach ($allPortals as $portal) {
            $this->info("Counting portal " . $portal->title);
            /** @var Collection $allUrlsForPortal */
            $allUrlsForPortal = $portal->urls()->where('active', '=', 1)->get();
            /** @var PortalUrl $url */
            foreach ($allUrlsForPortal as $url) {
                $this->info("Get portal url " . $url->url);
                try {
                    $file = file_get_contents($url->url);
                    $allowCrawling = true;
                } catch (\Exception $exception) {
                    $allowCrawling = false;
                }
            }
        }
    }
}