<?php


namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class Article extends Model
{
    /**
     * @var string
     */
    protected $table = "article";

    /**
     * @var array
     */
    protected $fillable = ['title', 'link', 'description', 'portal_url_id', "cannot_be_found_404", "incorrectly_formated_400", "redirected_301", "allow_crawling", "unable_parse_content"];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function portalUrl()
    {
        return $this->belongsTo(PortalUrl::class, 'portal_url_id');
    }

    public function articleContent()
    {
        return $this->hasOne(ArticleContent::class, 'article_id');
    }
}