<?php


namespace App\Models;


use Illuminate\Database\Eloquent\Model;

class PortalUrl extends Model
{
    /**
     * @var string
     */
    protected $table = "portal_url";

    /**
     * @var array
     */
    protected $fillable = ['url', 'portal_id', 'active', 'article_importer_service', 'reliability_percentage', 'allow_crawling', 'deleting_content'];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function portal()
    {
        return $this->belongsTo(Portal::class, 'portal_id');
    }

    public function articles()
    {
        return $this->hasMany(Article::class, 'portal_url_id');
    }
}