<?php

namespace App\Services;


class PravdaArticleImporter implements ArticleImporterInterface
{
    public function getArticleContent($link)
    {
        $html = file_get_contents($link);
        //$html = tidy_repair_string($html);
        $htmlEncoded = mb_convert_encoding($html, 'HTML-ENTITIES', 'UTF-8');
        $doc = new \DOMDocument('1.0', 'UTF-8');
        // set error level
        $internalErrors = libxml_use_internal_errors(true);
        $doc->loadHTML($htmlEncoded);
        // Restore error level
        libxml_use_internal_errors($internalErrors);

        $xpath = new \DOMXpath($doc);

        $articleBody = $xpath->query("//*[@class='article-detail-body']");
        $html = '';
        $normalContent = '';
        foreach ($articleBody as $node) {
            $normalContent = $node->nodeValue;
            $tmp_doc = new \DOMDocument('1.0', 'UTF-8');
            $tmp_doc->appendChild($tmp_doc->importNode($node,true));
            $html .= $tmp_doc->saveHTML();
        }

        return ['content' => trim($normalContent), 'htmlContent' => trim($html)];
    }
}