<?php


namespace App\Services;


use DOMNodeList;

class TrendArticleImporter implements ArticleImporterInterface
{

    /**
     * @param $link
     * @return mixed
     */
    public function getArticleContent($link)
    {
        $agent = 'Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.0.3705; .NET CLR 1.1.4322)';

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_VERBOSE, true);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_USERAGENT, $agent);
        curl_setopt($ch, CURLOPT_URL,$link);
        $html = curl_exec($ch);
        curl_close($ch);

        $htmlEncoded = mb_convert_encoding($html, 'HTML-ENTITIES', 'UTF-8');
        $doc = new \DOMDocument('1.0', 'UTF-8');
        // set error level
        $internalErrors = libxml_use_internal_errors(true);
        $doc->loadHTML($htmlEncoded);
        // Restore error level
        libxml_use_internal_errors($internalErrors);

        $xpath = new \DOMXpath($doc);

        /** @var DOMNodeList $articleBody */
        $articleBody = $xpath->query("//*[@id=\"c9\"]/div/div[3]");
        if($articleBody->length === 0) {
            $articleBody = $xpath->query("//*[@id=\"c22\"]/div/div[5]");
        }

        $html = '';
        $normalContent = '';
        foreach ($articleBody as $node) {
            $normalContent = $node->nodeValue;
            $tmp_doc = new \DOMDocument('1.0', 'UTF-8');
            $tmp_doc->appendChild($tmp_doc->importNode($node,true));
            $html .= $tmp_doc->saveHTML();
        }

        return ['content' => trim($normalContent), 'htmlContent' => trim($html)];
    }
}