<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddForeignKeys extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('portal_url', function (Blueprint $table) {
            $table->foreign('portal_id', 'fk_portal_portal_url1_idx')
                ->references('id')->on('portal')
                ->onDelete('no action')
                ->onUpdate('no action');
        });
        Schema::table('article', function (Blueprint $table) {
            $table->foreign('portal_url_id', 'fk_portal_url_article1_idx')
                ->references('id')->on('portal_url')
                ->onDelete('no action')
                ->onUpdate('no action');
        });
        Schema::table('article_content', function (Blueprint $table) {
            $table->foreign('article_id', 'fk_article_article_content1_idx')
                ->references('id')->on('article')
                ->onDelete('no action')
                ->onUpdate('no action');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
